Ryzom - Bug # 963

Status: Closed Priority: High

Author: kervala Category: Client: General
Created: 06/05/2010 Assignee: kervala
Updated: 11/06/2010 Due date:

Subiject: Floating point exceptions

Description

Under Windows, floating point exceptions (most of them are float with a too high value or division by zero) are ignored but result may

be erroneous. We should really fix them.

History

#1 - 06/05/2010 11:00 am - kervala
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset r282.

#2 - 06/05/2010 03:52 pm - Enoril

kervala wrote:

Applied in changeset r282.

Hi Kervala !

With this change, i've an error during Nel library compilation under ubuntu 10.04 x64:

[ 98%] Building CXX object src/sound/driver/CMakeFiles/nelsnd_lowlevel.dir/source.cpp.o

[ 98%] Built target build_rbank

/media/DATA02/ryzom/ryzom_code_linux/code/nel/src/sound/driver/source.cpp: In static member function ‘static sint32

NLSOUND::ISource::computeManualRollOff(sint32, sint32, sint32, double, float, float, float)’:

/media/DATA02/ryzom/ryzom_code_linux/code/nel/src/sound/driver/source.cpp:29: error: ‘numeric_limits’ is not a member of ‘std’

/media/DATA02/ryzom/ryzom_code_linux/code/nel/src/sound/driver/source.cpp:29: error: expected primary-expression before ‘float’

make[2]: *** [src/sound/driver/CMakeFiles/nelsnd_lowlevel.dir/source.cpp.o] Erreur 1

make[1]: *** [src/sound/driver/CMakeFiles/nelsnd_lowlevel.dir/all] Erreur 2

make: *** [all] Erreur 2

#3 - 06/05/2010 03:54 pm - kervala

Ok thanks, a #include seems to be missing under Linux :)

#4 - 06/05/2010 03:58 pm - kervala

Applied in changeset r283.
#5 - 06/05/2010 03:58 pm - kervala
- Category set to Client: General

- Target version set to Version 0.8.0

#6 - 07/20/2010 10:50 pm - kervala

| found another floating point exception in CEntityCL, _Front was undefined because _CanTurn was initialized after _Front initialization.

#7 - 11/06/2010 09:22 am - kervala

- Status changed from Resolved to Closed
